<?php

/**
 * This code retrieves the shipping country and shipping method instance ID for a WooCommerce order*
 **/
$order = wc_get_order($post->ID);
$shipping_country = $order->get_shipping_country();
foreach ($order->get_shipping_methods() as $shipping_method) {
    $shipping_method_instance_id = $shipping_method->get_instance_id(); // The instance ID
}

/*  It also checks if the Shipit Uniwin checkout is enabled and retrieves the carrier agent data if available. Finally, it calls a function to get the shipment data for the order. */
$agent_data = "";
if (WC_Shipit_Uniwin_Common_Functions::get_checkout_is_enabled() == 1) {
    $agent_meta_data = get_post_meta($post->ID, '_shipit_uniwin_carrier_agent_data');
    if (!empty($agent_meta_data)) {
        $agent_data = json_decode($agent_meta_data[0], true);
    }
}
$shipment_info = WC_Shipit_Uniwin_Shipment_Functions::get_shipment_data($post->ID);
?>

<div class="form-field">
    <input type="hidden" name="mv_other_meta_field_nonce" value="<?php echo wp_create_nonce(); ?>">
    <label>Country</label>
    <select class="wc-enhanced-select" name="uniwin_shipit_country">
        <option value="">Select country</option>
        <?php foreach (WC()->countries->get_countries() as $country_code => $label) {
            $selected = ($shipping_country) ? (($country_code == $shipping_country) ? "selected" : "")  : "";
        ?>
            <option value="<?php echo $country_code; ?>" <?php echo $selected; ?>><?php echo $label; ?></option>
        <?php
        }
        ?>
    </select>
</div>

<div class="form-field">
    <label>service</label>
    <?php

    if (!empty($shipping_method_instance_id)) {
        global $wpdb;
        $tblname = $wpdb->prefix . 'shipit_uniwin_shipping_mapping';
        $result = $wpdb->get_results("SELECT * FROM `" . $tblname . "` WHERE shipping_method='$shipping_method_instance_id'");
        if (!empty($agent_data)) {
            echo WC_Shipit_Uniwin_Shipment_Functions::shipit_uniwin_shipment_service_select_datas('uniwin_shipit_service', $agent_data['serviceId'], true);
        } else if (!empty($result)) {
            echo WC_Shipit_Uniwin_Shipment_Functions::shipit_uniwin_shipment_service_select_datas('uniwin_shipit_service', $result[0]->service_id, true);
        } else {
            echo WC_Shipit_Uniwin_Shipment_Functions::shipit_uniwin_shipment_service_select_datas('uniwin_shipit_service', "", true);
        }
    } else {
        echo WC_Shipit_Uniwin_Shipment_Functions::shipit_uniwin_shipment_service_select_datas('uniwin_shipit_service', "", true);
    }
    ?>
    <input type="hidden" value="<?php echo (!empty($agent_data)) ? $agent_data['id'] : "" ?>" name="uniwin_shipit_pickup" />
</div>
<div class="form-field">
    <input type="hidden" name="shipit_uniwin_service_price" />
    <label>Weight (kg)</label>
    <input type="text" name="uniwin_shipit_weight" class="form-control uniwin_shipit_weight" value="<?php echo $weight; ?>" />
</div>
<div class="form-field">
    <label>Dimensions L×W×H (cm)</label>
</div>
<div class="shipit_uniwin_dimenstions">
    <div class="form-field">
        <input type="text" name="uniwin_shipit_length" value="15" class="form-control" />
    </div>
    <div class="form-field">
        <input type="text" name="uniwin_shipit_width" value="10" class="form-control" />
    </div>
    <div class="form-field">
        <input type="text" name="uniwin_shipit_height" value="1" class="form-control" />
    </div>
</div>

<div class="form-field">
    <label>Parcels</label>
    <input type="text" name="uniwin_shipit_parcel" class="form-control" value="1" />
</div>
<div class="form-field">
    <label>Additional services</label>
</div>
<div class="form-field">
    <input type="checkbox" class="form-control" name="uniwin_shipit_fragile" value="1" /> Fragile
</div>
<div class="form-field">
    <input type="checkbox" class="form-control" name="uniwin_shipit_label" value="1" /> Return Label
</div>
<div class="form-field">
    <input type="checkbox" class="form-control" name="uniwin_shipit_order_confirm" value="1" /> Send order confirmation Email
</div>
<div class="shipit_uniwin_dimenstions">
    <div class="form-field">
        <button class="button button-primary" type="submit" value="save" name="uniwin_shipit_save" id="uniwin_shipit_save">Process</button>
    </div>
    <div class="form-field">
        <a href="#" id="shipit-uniwin-fetch-prices">Fetch prices</a>
    </div>
</div>

<?php

if (count($shipment_info) >= 1) {
?>
    <div class="col-md-12 form-group">
        <ul class="order_notes">
            <?php
            foreach ($shipment_info as $sinfo) {
                $jsondata = json_decode($sinfo->shipit_response, true);
            ?>
                <li class="note system-note">
                    <?php if ($jsondata['status'] == 1) { ?>
                        <div class="note_content shipit_uniwin_success">
                            <p>Status : <b>Success</b> </p>
                            <p>Created Shipit <b><?php echo $sinfo->carrier_name; ?></b> Shipment </p>
                            <p>Tracking No : <b><?php echo $jsondata['trackingNumber']; ?></b></p>
                            <div class="row">
                                <div class="col-md-3">
                                    <p><a target="_blank" href="<?php echo $jsondata['freightDoc'][0]; ?>">Label</a></p>
                                </div>
                                <div class="col-md-3">
                                    <p><a target="_blank" href="<?php echo $jsondata['trackingUrls'][0]; ?>">Track</a></p>
                                </div>
                            </div>
                        </div>
                        <p class="meta">
                            <abbr class="exact-date">
                                <?php echo $sinfo->created_at; ?></abbr>
                        </p>
                    <?php } else { ?>
                        <div class="note_content shipit_uniwin_error">
                            <p>Status : <b>Fail</b> </p>
                            <p><?php echo $jsondata['error']['message']; ?></p>
                            <?php echo !empty($jsondata['errorbag']) ? '<p>' . implode(',', $jsondata['errorbag']) . '</p>' : ""; ?>
                        </div>
                        <p class="meta">
                            <abbr class="exact-date">
                                <?php echo $sinfo->created_at; ?></abbr>
                        </p>
                    <?php } ?>
                </li>
            <?php } ?>
        </ul>
    </div>

<?php } ?>
<?php
if (!empty($agent_data)) {
    $address_name = $agent_data['carrier'] . " - " . $agent_data['name'] . " , " . $agent_data['address1'];
    $html = "<div class='show_carrier_agent_text'><h4>Carrier Agent (Chosen by customer) : </h4>";
    $html .= "<img src='" . $agent_data['carrierLogo'] . "'/>";
    $html .= "<p>" . $address_name . "," . $agent_data['city'] . "," . $agent_data['zipcode'] . "</p></div>";
    echo $html;
}
?>

<?php include("admin_price_html.php"); ?>

<script>
    /**
     * JS functionality for fetching prices
     */
    jQuery("#wc-backbone-modal-dialog").hide();
    jQuery(document).ready(function() {


        var wcShipitFetchPrices = {
            init: function() {
                this.openModal();
            },

            openModal: function() {
                var self = this;
                jQuery('a#shipit-uniwin-fetch-prices').click(function(e) {
                    e.preventDefault();
                    jQuery("#wc-backbone-modal-dialog").show();
                    self.fetchPrices();
                });
            },

            fetchPrices: function() {
                var self = this;

                var order_id = "<?php echo $post->ID; ?>";

                var data = {
                    'action': 'get_shipit_services_price',
                    'order_id': order_id,
                    'weight': jQuery('input[name="uniwin_shipit_weight"]').val(),
                    'height': jQuery('input[name="uniwin_shipit_height"]').val(),
                    'length': jQuery('input[name="uniwin_shipit_length"]').val(),
                    'width': jQuery('input[name="uniwin_shipit_width"]').val(),
                    'parcels': jQuery('input[name="uniwin_shipit_parcel"]').val(),
                    'fragile': jQuery('input[name="uniwin_shipit_fragile"]').is(':checked'),
                };

                jQuery.ajax({
                    url: "<?php echo admin_url('admin-ajax.php'); ?>",
                    data: data,
                    method: 'POST',
                    beforeSend: function() {
                        jQuery('#shipit-uniwin-ajax-throbber').show();
                    },
                    success: function(response) {
                        jQuery('#shipit-uniwin-prices').html(response);
                    },
                    error: function(response) {
                        alert('Unknown error');
                    },
                    complete: function() {
                        jQuery('#shipit-uniwin-ajax-throbber').hide();
                    }
                });
            }
        };
        wcShipitFetchPrices.init();
    });
    //
    jQuery("#uniwin_shipit_save").click(function() {
        <?php if (count($shipment_info) >= 1) { ?>
            if (confirm("You already created the shipment for this order, need to create again?")) {
                return true;
            } else {
                return false;
            }
        <?php } ?>
    });
</script>