<div class="wrapper container-fluid settings_form">
    <div class="card">
        <h3 class="card-header">Shipit Settings</h3>
        <?php
        global $wpdb;
        $tblname = WC_Shipit_Uniwin_Common_Functions::settings_tbl_name();
        $result_data = $wpdb->get_results("SELECT * FROM `" . $tblname . "`");
        if (isset($result_data[0])) {
            $result = $result_data;
        } else {
            $result = "";
        }
        if (isset($_POST['save'])) {
            // Check for valid API credentials 
            $r = api_is_valid($_POST);
            // If the API credentials are invalid, set API variables to empty strings and display an error 
            if (isset($r['status']) && ($r['status'] == "0") && ($r['error']['code'] == "14")) {
                $api_valid = 0;
                $api_key = "";
                $api_secret = "";
                do_action('admin_notices', "Invalid API key!");
                // Otherwise, set API variables accordingly and display a success message 
            } else {
                $api_valid = 1;
                $api_key = $_POST['unishipit_api_key'];
                $api_secret = $_POST['unishipit_api_secret'];
                do_action('admin_update_notices', "Settings saved successfully!");
            }

            $api_url = "https://api.shipit.ax/v1/";
            if ($_POST['unishipit_api_mode'] == "test") {
                $api_url = "https://apitest.shipit.ax/v1/";
            }
            $data = array(
                'updated_at' => date('Y-m-d H:i:s'),
                'api_key' => $api_key,
                'secret_key' => $api_secret,
                'mode' => $_POST['unishipit_api_mode'],
                'api_is_valid' => $api_valid,
                'api_url' => $api_url,
                'name' => $_POST['unishipit_sender_name'],
                'stree_address' => $_POST['unishipit_sender_street'],
                'city' => $_POST['unishipit_sender_city'],
                'country' => $_POST['unishipit_sender_country'],
                'postcode' => $_POST['unishipit_sender_postcode'],
                'vat' => $_POST['unishipit_sender_vat'],
                'email' => $_POST['unishipit_sender_email'],
                'phone' => $_POST['unishipit_sender_phone'],
                'contents' => $_POST['unishipit_sender_contents'],
            );
            if (empty($result)) {
                $wpdb->insert($tblname, $data);
            } else {
                $wpdb->update($tblname, $data, array('id' => $result[0]->id));
            }
        ?>
            <script type="text/javascript">
                location.reload();
            </script>
        <?php
        }
        ?>

        <?php
        if (isset($_POST['gs_save'])) {
            global $wpdb;
            $tblname = $wpdb->prefix . 'shipit_uniwin_settings';
            $data = array(
                'updated_at' => date('Y-m-d H:i:s'),
                'auto_sync' => filter_input(INPUT_POST, 'unishipit_auto_sync', FILTER_VALIDATE_BOOLEAN),
                'address_sync' => filter_input(INPUT_POST, 'unishipit_address_sync', FILTER_SANITIZE_STRING),
                'pk_width' => filter_input(INPUT_POST, 'unishipit_width', FILTER_SANITIZE_NUMBER_INT),
                'pk_length' => filter_input(INPUT_POST, 'unishipit_length', FILTER_SANITIZE_NUMBER_INT),
                'pk_height' => filter_input(INPUT_POST, 'unishipit_height', FILTER_SANITIZE_NUMBER_INT),
                'pk_parcel' => filter_input(INPUT_POST, 'unishipit_parcel', FILTER_SANITIZE_STRING),
                'fragile' => filter_input(INPUT_POST, 'unishipit_fragile', FILTER_VALIDATE_BOOLEAN),
                'return_label' => filter_input(INPUT_POST, 'unishipit_label', FILTER_VALIDATE_BOOLEAN),
                'order_confirm_email' => filter_input(INPUT_POST, 'unishipit_order_confirmation', FILTER_VALIDATE_BOOLEAN),
                'home_delivery' => filter_input(INPUT_POST, 'unishipit_home_delivery', FILTER_VALIDATE_BOOLEAN),
                'hd_width' => filter_input(INPUT_POST, 'unishipit_hd_width', FILTER_SANITIZE_NUMBER_INT) ?? "",
                'hd_length' => filter_input(INPUT_POST, 'unishipit_hd_length', FILTER_SANITIZE_NUMBER_INT) ?? "",
                'hd_height' => filter_input(INPUT_POST, 'unishipit_hd_height', FILTER_SANITIZE_NUMBER_INT) ?? "",
                'show_carrier' => filter_input(INPUT_POST, 'unishipit_show_carrier', FILTER_VALIDATE_BOOLEAN),
                'add_track_to_email' => filter_input(INPUT_POST, 'unishipit_add_track_email', FILTER_VALIDATE_BOOLEAN),
                'agent_style' => isset($_POST['unishipit_agent_style']) ? $_POST['unishipit_agent_style'] : "select",
                'agent_thankyou_page' => isset($_POST['unishipit_agent_thankyou_page']) ? 1 : 0,
            );
            if (!empty($result[0]->id)) {
                $wpdb->update($tblname, $data, array('id' => $result[0]->id));
                do_action('admin_update_notices', "Settings saved successfully!");
            } else {
                do_action('admin_notices', "Please update the account settings first!.");
            }

        ?>
            <script type="text/javascript">
                setTimeout(function() {
                    window.location.reload(); // you can pass true to reload function to ignore the client cache and reload from the server
                }, 2000);
            </script>
        <?php
        }
        ?>
        <?php
        if (isset($_POST['shipit_uniwin_shipping_mapping'])) {
            global $wpdb;
            $tblname = $wpdb->prefix . 'shipit_uniwin_shipping_mapping';
            foreach ($_POST as $key => $inputs) {
                if ($inputs != "_none") {
                    $shiping_method_id = str_replace("shipit_uniwin_shipping_method_", "", $key);
                    $results = $wpdb->get_results("SELECT * FROM `" . $tblname . "` WHERE shipping_method='$shiping_method_id'");
                    if (empty($results) && !empty($inputs)) {
                        $data = array(
                            'created_at' => date('Y-m-d H:i:s'),
                            'shipping_method' => $shiping_method_id,
                            'service_id' => $inputs,
                        );
                        $wpdb->insert($tblname, $data);
                    } else {
                        if ($shiping_method_id != 0 && !empty($results)) {
                            $data = array(
                                'created_at' => date('Y-m-d H:i:s'),
                                'service_id' => $inputs,
                            );
                            $wpdb->update($tblname, $data, array('id' => $results[0]->id));
                        }
                    }
                }
            }
        }
        if (isset($_POST['shipit_uniwin_shipping_custom'])) {
            global $wpdb;
            $tblname = $wpdb->prefix . 'shipit_uniwin_settings';
            $data = array(
                'updated_at' => date('Y-m-d H:i:s'),
                'outside_eu_shipment' => filter_input(INPUT_POST, 'unishipit_outside_eu_shipment', FILTER_VALIDATE_BOOLEAN),
                'product_name_desc' => filter_input(INPUT_POST, 'unishipit_product_name_desc', FILTER_VALIDATE_BOOLEAN),
            );
            if (!empty($result[0]->id)) {
                $wpdb->update($tblname, $data, array('id' => $result[0]->id));
                do_action('admin_update_notices', "Settings saved successfully!");
            } else {
                do_action('admin_notices', "Please update the account settings first!.");
            }



        ?>
            <script type="text/javascript">
                setTimeout(function() {
                    window.location.reload(); // you can pass true to reload function to ignore the client cache and reload from the server
                }, 2000);
            </script>
        <?php
        }
        if (isset($_POST['shipit_uniwin_shipping_printing'])) {
            global $wpdb;
            $tblname = $wpdb->prefix . 'shipit_uniwin_settings';
            $data = array(
                'updated_at' => date('Y-m-d H:i:s'),
                'print_shiping_label' => filter_input(INPUT_POST, 'uniwin_print_shiping_label', FILTER_VALIDATE_BOOLEAN),
                'set_order_completed' => filter_input(INPUT_POST, 'unishipit_set_order_completed', FILTER_VALIDATE_BOOLEAN),
            );
            if (!empty($result[0]->id)) {
                $wpdb->update($tblname, $data, array('id' => $result[0]->id));
                do_action('admin_update_notices', "Settings saved successfully!");
            } else {
                do_action('admin_notices', "Please update the account settings first!.");
            }

        ?>
            <script type="text/javascript">
                setTimeout(function() {
                    window.location.reload(); // you can pass true to reload function to ignore the client cache and reload from the server
                }, 2000);
            </script>
        <?php
        }
        ?>
        <div class="card-body">
            <!-- Tab links -->
            <div class="tab">
                <button class="tablinks active Tab1" onclick="openTab(event, 'Tab1')">Account Settings</button>
                <button class="tablinks Tab2" onclick="openTab(event, 'Tab2')">General Settings</button>
                <button class="tablinks Tab3" onclick="openTab(event, 'Tab3')">Mapping</button>
                <button class="tablinks Tab4" onclick="openTab(event, 'Tab4')">Customs</button>
                <button class="tablinks Tab6" onclick="openTab(event, 'Tab6')">Print Settings</button>
            </div>

            <!-- Tab content -->
            <div id="Tab1" class="tabcontent active">
                <!-- The form allows users to input various settings, such as API key, API secret, mode, and sender details (name, address, city, country, postcode, VAT ID, email, phone, and contents). The form also includes a save button to store the entered settings. -->
                <form action="#" method="post" name="shipit_uniwin_admin_settings" enctype="multipart/form-data" id="shipit_uniwin_admin_settings">
                    <table class="form-table">
                        <tbody>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>API Key</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" class="form-control" id="unishipit_api_key" name="unishipit_api_key" placeholder="API Key" value="<?php echo ($result) ? $result[0]->api_key : "" ?>" />
                                    <?php if ($result && $result[0]->api_is_valid == 0) { ?>
                                        <p class="error">Invalid API key credentials</p>
                                    <?php } elseif ($result && $result[0]->api_is_valid == 1) { ?>
                                        <p class="success">Valid API key credentials</p>
                                    <?php } ?>
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>API secret</label>
                                </th>
                                <td class="forminp forminp-text">

                                    <input type="text" class="form-control" value="<?php echo ($result) ? $result[0]->secret_key : "" ?>" name="unishipit_api_secret" placeholder="API Secret" />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Mode</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <select class="wc-enhanced-select select2-hidden-accessible enhanced" name="unishipit_api_mode">
                                        <option value="production" <?php echo ($result) ? ("production" == $result[0]->mode) ? "selected" : "" : "" ?>>Production</option>
                                        <option value="test" <?php echo ($result) ? ("test" == $result[0]->mode) ? "selected" : "" : "selected" ?>>Test</option>
                                    </select>
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Sender Details</label>
                                </th>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Name</label>
                                </th>
                                <td class="forminp forminp-text">

                                    <input type="text" class="form-control" value="<?php echo ($result) ? $result[0]->name : "" ?>" name="unishipit_sender_name" placeholder="Name" />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Street address</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" class="form-control" value="<?php echo ($result) ? $result[0]->stree_address : "" ?>" name="unishipit_sender_street" placeholder="Street address" />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>City</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" value="<?php echo ($result) ? $result[0]->city : "" ?>" class="form-control" name="unishipit_sender_city" placeholder="City" />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Country</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <select name="unishipit_sender_country" class="form-control">
                                        <option value="">Select country</option>
                                        <?php
                                        foreach (WC()->countries->get_countries() as $country_code => $label) {
                                            $selected = "";
                                            if ($result) {
                                                $selected = ($result[0]->country) ? (($country_code == $result[0]->country) ? "selected" : "")  : "";
                                            }
                                        ?>
                                            <option <?php echo  $selected; ?> value="<?php echo $country_code; ?>"><?php echo $label; ?></option>
                                        <?php
                                        }
                                        ?>
                                    </select>
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Postcode</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" value="<?php echo ($result) ? $result[0]->postcode : "" ?>" class="form-control" name="unishipit_sender_postcode" placeholder="Postcode" />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Vat ID</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" value="<?php echo ($result) ? $result[0]->vat : "" ?>" class="form-control" name="unishipit_sender_vat" placeholder="Vat ID" />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Email</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="email" value="<?php echo ($result) ? $result[0]->email : "" ?>" class="form-control" name="unishipit_sender_email" placeholder="Email" />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Phone</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" value="<?php echo ($result) ? $result[0]->phone : "" ?>" class="form-control" name="unishipit_sender_phone" placeholder="Phone" />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Contents</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" value="<?php echo ($result) ? $result[0]->contents : "" ?>" class="form-control" name="unishipit_sender_contents" placeholder="Contents" />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc"> <button type="submit" class="button-primary" id="shipit_uniwin_settings" name="save">Save</button></th>
                            </tr>
                        </tbody>
                    </table>
                </form>
            </div>

            <div id="Tab2" class="tabcontent">
                <!-- The form allows users to input various settings, such as Auto sync and carrier agents and shipment width, height etc. The form also includes a save button to store the entered settings. -->
                <form action="#" method="post" name="shipit_uniwin_general_settings" id="shipit_uniwin_general_settings">
                    <table class="form-table">
                        <tbody>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Automatic Sync </label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="checkbox" <?php echo ($result) ? ($result[0]->auto_sync == "1" ? "checked" : "") : "" ?> class="form-control" name="unishipit_auto_sync" placeholder="Automatic Sync" />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Show carriers on checkout </label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input id="unishipit_show_carrier" type="checkbox" class="form-control" <?php echo ($result) ? ($result[0]->show_carrier == "1" ? "checked" : "") : "" ?> name="unishipit_show_carrier" />
                                </td>
                            </tr>
                            <tr valign="top" class="carrier_agents_assistant">
                                <th scope="row" class="titledesc">
                                    <label> Carrier agents display style on checkout </label>
                                </th>
                                <td class="forminp forminp-text">
                                    <select name="unishipit_agent_style">
                                        <option <?php echo ($result) ? ($result[0]->agent_style == "select" ? "selected" : "") : "" ?> value="select">Select Box</option>
                                        <option <?php echo ($result) ? ($result[0]->agent_style == "radio" ? "selected" : "") : "" ?> value="radio">Radio Button</option>
                                    </select>
                                </td>
                            </tr>
                            <tr valign="top" class="carrier_agents_assistant">
                                <th scope="row" class="titledesc">
                                    <label> Show carrier agent on the Thank You page</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="checkbox" class="form-control" <?php echo ($result) ? ($result[0]->agent_thankyou_page == "1" ? "checked" : "") : "" ?> name="unishipit_agent_thankyou_page" />
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Address Sync</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="radio" id="customRadioInline1" <?php echo ($result) ? ($result[0]->address_sync == "shipping" ? "checked" : "") : "checked" ?> value="shipping" name="unishipit_address_sync" class="custom-control-input">
                                    <label class="custom-control-label" for="customRadioInline1">Shipping</label>
                                    <input type="radio" id="customRadioInline2" <?php echo ($result) ? ($result[0]->address_sync == "billing" ? "checked" : "") : "" ?> value="billing" name="unishipit_address_sync" class="custom-control-input">
                                    <label class="custom-control-label" for="customRadioInline2">Billing</label>
                                </td>
                            </tr>
                            <tr>
                                <th scope="row" class="titledesc">
                                    <label> Add tracking link to the order completed email </label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="checkbox" <?php echo ($result) ? ($result[0]->add_track_to_email == "1" ? "checked" : "") : "" ?> class="form-control" name="unishipit_add_track_email" />
                                </td>
                            </tr>


                            <tr>
                                <th scope="row" class="titledesc">Default package size ( cm ) & parcels</th>
                            </tr>
                            <tr valign="top unishipit_package_size">

                                <th scope="row" class="titledesc">
                                    <label> Width</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" class="form-control" value="<?php echo ($result) ? ($result[0]->pk_width ? $result[0]->pk_width : "10") : "10" ?>" name="unishipit_width" placeholder="Width" />
                                </td>
                            </tr>
                            <tr valign="top unishipit_package_size">
                                <th scope="row" class="titledesc">
                                    <label>Length</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" class="form-control" value="<?php echo ($result) ? ($result[0]->pk_length ? $result[0]->pk_length : "15") : "15" ?>" name="unishipit_length" placeholder="Length">
                                </td>
                            </tr>
                            <tr valign="top unishipit_package_size">
                                <th scope="row" class="titledesc">
                                    <label>Height</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" class="form-control" value="<?php echo ($result) ? ($result[0]->pk_height ? $result[0]->pk_height : "1") : "1" ?>" name="unishipit_height" placeholder="Height">
                                </td>
                            </tr>
                            <tr valign="top unishipit_package_size">
                                <th scope="row" class="titledesc">
                                    <label>Parcel</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" value="<?php echo ($result) ? ($result[0]->pk_parcel ? $result[0]->pk_parcel : "1") : "1" ?>" class="form-control" name="unishipit_parcel" placeholder="Parcel">
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Addons </label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="checkbox" id="customRadioInline3" <?php echo ($result) ? ($result[0]->fragile == "1" ? "checked" : "") : "" ?> name="unishipit_fragile" class="custom-control-input">
                                    <label class="custom-control-label" for="customRadioInline3">Fragile</label>
                                    <input type="checkbox" id="customRadioInline4" <?php echo ($result) ? ($result[0]->return_label == "1" ? "checked" : "") : "" ?> name="unishipit_label" class="custom-control-input">
                                    <label class="custom-control-label" for="customRadioInline4">Return Label</label>
                                    <input type="checkbox" id="customRadioInline6" <?php echo ($result) ? ($result[0]->order_confirm_email == "1" ? "checked" : "") : "" ?> name="unishipit_order_confirmation" class="custom-control-input">
                                    <label class="custom-control-label" for="customRadioInline6">Send order confirmation Email</label>
                                </td>
                            </tr>
                            <tr valign="top">
                                <th scope="row" class="titledesc">
                                    <label>Home Delivery </label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="checkbox" id="customRadioInline7" <?php echo ($result) ? ($result[0]->home_delivery == "1" ? "checked" : "") : "" ?> name="unishipit_home_delivery" class="custom-control-input">
                                </td>
                            </tr>
                            <tr valign="top" class="unishipit-home-delivery">
                                <th scope="row" class="titledesc">
                                    <label>Dimensions LxWxH (cm)</label>
                                </th>
                            </tr>
                            <tr valign="top" class="unishipit-home-delivery">
                                <th scope="row" class="titledesc">
                                    <label>Width</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" class="form-control" value="<?php echo ($result) ? ($result[0]->hd_width ? $result[0]->hd_width : "") : "" ?>" name="unishipit_hd_width" placeholder="Width" />
                                </td>
                            </tr>
                            <tr valign="top" class="unishipit-home-delivery">
                                <th scope="row" class="titledesc">
                                    <label>Length</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" value="<?php echo ($result) ? ($result[0]->hd_length ? $result[0]->hd_length : "") : "" ?>" class="form-control" name="unishipit_hd_length" placeholder="Length">
                                </td>
                            </tr>
                            <tr valign="top" class="unishipit-home-delivery">
                                <th scope="row" class="titledesc">
                                    <label>Height</label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="text" value="<?php echo ($result) ? ($result[0]->hd_height ? $result[0]->hd_height : "") : "" ?>" class="form-control" name="unishipit_hd_height" placeholder="Height">
                                </td>
                            </tr>
                            <tr>
                                <th scope="row" class="titledesc"><button type="submit" class="button-primary" data-tabid="Tab2" name="gs_save">Save</button></th>
                            </tr>
                        </tbody>
                    </table>

                </form>
            </div>

            <div id="Tab3" class="tabcontent">
                <!-- The form shows shipping methods from woocommerce shipping methods for mapping concept -->
                <h2>Shipping Methods</h2>
                <p>By linking shipping methods to Shipit services, you eliminate the need to manually select the shipping service for orders.</p>
                <form method="post" action="#">
                    <?php
                    $all_zones = shipit_uniwin_get_all_shipping_zones();
                    if (!empty($all_zones)) {
                        foreach ($all_zones as $zone) {
                            $zone_id = $zone->get_id();
                            $zone_name = $zone->get_zone_name();
                            $zone_shipping_methods = $zone->get_shipping_methods();
                    ?>
                            <h2><?php echo $zone_name; ?></h2>
                            <table class="form-table">
                                <tbody>
                                    <?php
                                    global $wpdb;
                                    $tblname = $wpdb->prefix . 'shipit_uniwin_shipping_mapping';
                                    $options = array('_none' => __('- No Shipit method - ', 'shipit-uniwin'));
                                    foreach (WC_Shipit_Uniwin_Shipment_Functions::services() as $service_code => $service_title) {
                                        $options[$service_code] = WC_Shipit_Uniwin_Shipment_Functions::shipment_service_title($service_code, TRUE);
                                    }
                                    $default = key($options);
                                    foreach ($zone_shipping_methods as $index => $method) {
                                        $method_is_enabled = $method->is_enabled();
                                        $method_user_title = $method->get_title(); // e.g. whatever you renamed "Flat Rate" into
                                        if ($method_is_enabled) { ?>
                                            <tr valign="top">
                                                <th scope="row" class="titledesc">
                                                    <label for="shipit_uniwin_shipping_method_<?php echo $index; ?>"><?php echo $method_user_title; ?></label>
                                                </th>
                                                <?php if ($method) { ?>
                                                    <td class="forminp forminp-select">
                                                        <select name="shipit_uniwin_shipping_method_<?php echo $index; ?>" id="shipit_uniwin_shipping_method_<?php echo $index; ?>">
                                                            <?php

                                                            foreach ($options as $key => $opt) {
                                                                $shipping_mapped = $wpdb->get_var($wpdb->prepare("SELECT service_id FROM `" . $tblname . "` WHERE shipping_method='$index'"));
                                                                $selected = ($shipping_mapped) ? ($shipping_mapped == $key) ? "selected" : "" : "";
                                                                echo "<option value='" . $key . "' " . $selected . ">" . $opt . "</option>";
                                                            }
                                                            ?>
                                                        </select>
                                                    </td>
                                                <?php } ?>
                                            </tr>
                                    <?php }
                                    } ?>
                                </tbody>
                            </table>
                        <?php } ?>
                        <button class="button-primary" type="submit" name="shipit_uniwin_shipping_mapping">Save</button>
                    <?php } ?>
                </form>
            </div>
            <div id="Tab4" class="tabcontent">
                <form action="#" method="post">
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <th scope="row" class="titledesc">
                                    <label> Enable customs documents outside the EU </label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="checkbox" <?php echo ($result) ? ($result[0]->outside_eu_shipment == "1" ? "checked" : "") : "" ?> class="form-control" name="unishipit_outside_eu_shipment" />
                                </td>
                            </tr>
                            <tr>
                                <th scope="row" class="titledesc">
                                    <label> Utilize the product name as the description for customs purposes </label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="checkbox" <?php echo ($result) ? ($result[0]->product_name_desc == "1" ? "checked" : "") : "" ?> class="form-control" name="unishipit_product_name_desc" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <button class="button-primary" type="submit" name="shipit_uniwin_shipping_custom">Save</button>
                </form>
            </div>
            <div id="Tab6" class="tabcontent">
                <form action="#" method="post">
                    <table class="form-table">
                        <tbody>
                            <tr>
                                <th scope="row" class="titledesc">
                                    <label>
                                        After shipment creation, print shipping label in PDF
                                    </label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="checkbox" <?php echo ($result) ? ($result[0]->print_shiping_label == "1" ? "checked" : "") : "" ?> class="form-control" name="uniwin_print_shiping_label" />
                                </td>
                            </tr>
                            <tr>
                                <th scope="row" class="titledesc">
                                    <label>
                                        Set the order as completed after printing the shipping label
                                    </label>
                                </th>
                                <td class="forminp forminp-text">
                                    <input type="checkbox" <?php echo ($result) ? ($result[0]->set_order_completed == "1" ? "checked" : "") : "" ?> class="form-control" name="unishipit_set_order_completed" />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <button class="button-primary" type="submit" name="shipit_uniwin_shipping_printing">Save</button>
                </form>
            </div>
        </div>
    </div>
</div>